[email protected]
[Top] [All Lists]

PERFORCE change 114596 for review

Subject: PERFORCE change 114596 for review
From: Matt Jacob
Date: Thu, 15 Feb 2007 22:36:01 GMT
http://perforce.freebsd.org/chv.cgi?CH=114596

Change 114596 by [email protected] on 2007/02/15 22:34:56

        IFC

Affected files ...

.. //depot/projects/mjexp/ObsoleteFiles.inc#8 integrate
.. //depot/projects/mjexp/UPDATING#6 integrate
.. //depot/projects/mjexp/etc/devd.conf#2 integrate
.. //depot/projects/mjexp/etc/rc.d/dhclient#3 integrate
.. //depot/projects/mjexp/etc/rc.d/hostname#2 integrate
.. //depot/projects/mjexp/gnu/usr.bin/binutils/Makefile.inc0#2 integrate
.. //depot/projects/mjexp/gnu/usr.bin/binutils/libbfd/bfd.h#2 integrate
.. //depot/projects/mjexp/include/Makefile#6 integrate
.. //depot/projects/mjexp/lib/libc/gen/getcap.3#3 integrate
.. //depot/projects/mjexp/lib/libc/sys/kse.2#3 integrate
.. //depot/projects/mjexp/lib/libypclnt/Makefile#2 integrate
.. //depot/projects/mjexp/lib/libypclnt/ypclnt.3#1 branch
.. //depot/projects/mjexp/release/doc/en_US.ISO8859-1/relnotes/article.sgml#5 
integrate
.. //depot/projects/mjexp/sbin/ffsinfo/ffsinfo.c#2 integrate
.. //depot/projects/mjexp/sbin/geom/class/journal/Makefile#2 integrate
.. //depot/projects/mjexp/sbin/kldload/kldload.8#3 integrate
.. //depot/projects/mjexp/sbin/kldstat/kldstat.8#2 integrate
.. //depot/projects/mjexp/sbin/kldunload/kldunload.8#2 integrate
.. //depot/projects/mjexp/sbin/mount_unionfs/Makefile#3 integrate
.. //depot/projects/mjexp/sbin/mount_unionfs/mount_unionfs.c#4 integrate
.. //depot/projects/mjexp/share/man/man4/Makefile#7 integrate
.. //depot/projects/mjexp/share/man/man4/hwpmc.4#2 integrate
.. //depot/projects/mjexp/share/man/man4/joy.4#4 integrate
.. //depot/projects/mjexp/share/man/man4/kame.4#2 delete
.. //depot/projects/mjexp/share/man/man4/kld.4#2 integrate
.. //depot/projects/mjexp/share/man/man4/pim.4#2 integrate
.. //depot/projects/mjexp/share/man/man9/Makefile#7 integrate
.. //depot/projects/mjexp/sys/amd64/amd64/msi.c#3 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/linux.h#7 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/linux32_machdep.c#8 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/linux32_proto.h#7 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/linux32_syscall.h#7 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/linux32_sysent.c#7 integrate
.. //depot/projects/mjexp/sys/amd64/linux32/syscalls.master#6 integrate
.. //depot/projects/mjexp/sys/arm/arm/busdma_machdep.c#3 integrate
.. //depot/projects/mjexp/sys/arm/arm/cpufunc.c#5 integrate
.. //depot/projects/mjexp/sys/arm/arm/db_interface.c#2 integrate
.. //depot/projects/mjexp/sys/arm/arm/machdep.c#2 integrate
.. //depot/projects/mjexp/sys/arm/arm/mem.c#2 integrate
.. //depot/projects/mjexp/sys/arm/arm/sys_machdep.c#2 integrate
.. //depot/projects/mjexp/sys/arm/at91/if_ate.c#7 integrate
.. //depot/projects/mjexp/sys/arm/xscale/ixp425/if_npe.c#4 integrate
.. //depot/projects/mjexp/sys/arm/xscale/ixp425/ixp425_npe.c#2 integrate
.. //depot/projects/mjexp/sys/conf/NOTES#12 integrate
.. //depot/projects/mjexp/sys/conf/files#12 integrate
.. //depot/projects/mjexp/sys/conf/options#11 integrate
.. //depot/projects/mjexp/sys/dev/aac/aac.c#2 integrate
.. //depot/projects/mjexp/sys/dev/arcmsr/arcmsr.c#5 integrate
.. //depot/projects/mjexp/sys/dev/arcmsr/arcmsr.h#3 integrate
.. //depot/projects/mjexp/sys/dev/ata/ata-all.h#2 integrate
.. //depot/projects/mjexp/sys/dev/ata/ata-chipset.c#5 integrate
.. //depot/projects/mjexp/sys/dev/bge/if_bge.c#8 integrate
.. //depot/projects/mjexp/sys/dev/bge/if_bgereg.h#6 integrate
.. //depot/projects/mjexp/sys/dev/exca/exca.c#2 integrate
.. //depot/projects/mjexp/sys/dev/ipw/if_ipw.c#2 integrate
.. //depot/projects/mjexp/sys/dev/ipw/if_ipwvar.h#2 integrate
.. //depot/projects/mjexp/sys/dev/isp/isp_freebsd.h#7 integrate
.. //depot/projects/mjexp/sys/dev/isp/isp_pci.c#12 integrate
.. //depot/projects/mjexp/sys/dev/iwi/if_iwi.c#7 integrate
.. //depot/projects/mjexp/sys/dev/iwi/if_iwivar.h#2 integrate
.. //depot/projects/mjexp/sys/dev/mii/brgphy.c#6 integrate
.. //depot/projects/mjexp/sys/dev/mii/brgphyreg.h#2 integrate
.. //depot/projects/mjexp/sys/dev/mpt/mpt_pci.c#6 integrate
.. //depot/projects/mjexp/sys/dev/msk/if_msk.c#3 integrate
.. //depot/projects/mjexp/sys/dev/mxge/if_mxge.c#6 integrate
.. //depot/projects/mjexp/sys/dev/pccbb/pccbb.c#2 integrate
.. //depot/projects/mjexp/sys/dev/pci/pci.c#10 integrate
.. //depot/projects/mjexp/sys/dev/sound/pci/envy24.c#3 integrate
.. //depot/projects/mjexp/sys/dev/sound/pci/envy24ht.c#3 integrate
.. //depot/projects/mjexp/sys/dev/sound/pci/spicds.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/TODO#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/TODO.hibler#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_bmap.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_iconv.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_lookup.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_mount.h#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_node.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_node.h#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_rrip.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_rrip.h#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_util.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_vfsops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/cd9660_vnops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/iso.h#2 integrate
.. //depot/projects/mjexp/sys/fs/cd9660/iso_rrip.h#2 integrate
.. //depot/projects/mjexp/sys/fs/hpfs/hpfs_vfsops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/hpfs/hpfs_vnops.c#3 integrate
.. //depot/projects/mjexp/sys/fs/msdosfs/msdosfs_vfsops.c#7 integrate
.. //depot/projects/mjexp/sys/fs/msdosfs/msdosfs_vnops.c#6 integrate
.. //depot/projects/mjexp/sys/fs/ntfs/ntfs_vfsops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/ntfs/ntfs_vnops.c#4 integrate
.. //depot/projects/mjexp/sys/fs/nullfs/null_vfsops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/nullfs/null_vnops.c#3 integrate
.. //depot/projects/mjexp/sys/fs/udf/udf.h#2 integrate
.. //depot/projects/mjexp/sys/fs/udf/udf_vfsops.c#4 integrate
.. //depot/projects/mjexp/sys/fs/udf/udf_vnops.c#4 integrate
.. //depot/projects/mjexp/sys/fs/umapfs/umap_vfsops.c#3 integrate
.. //depot/projects/mjexp/sys/fs/umapfs/umap_vnops.c#2 integrate
.. //depot/projects/mjexp/sys/fs/unionfs/union_vfsops.c#3 integrate
.. //depot/projects/mjexp/sys/fs/unionfs/union_vnops.c#4 integrate
.. //depot/projects/mjexp/sys/gnu/fs/ext2fs/ext2_vfsops.c#3 integrate
.. //depot/projects/mjexp/sys/gnu/fs/ext2fs/ext2_vnops.c#3 integrate
.. //depot/projects/mjexp/sys/gnu/fs/reiserfs/reiserfs_vfsops.c#3 integrate
.. //depot/projects/mjexp/sys/gnu/fs/reiserfs/reiserfs_vnops.c#2 integrate
.. //depot/projects/mjexp/sys/gnu/fs/xfs/FreeBSD/xfs_mountops.c#3 integrate
.. //depot/projects/mjexp/sys/gnu/fs/xfs/FreeBSD/xfs_vnops.c#2 integrate
.. //depot/projects/mjexp/sys/i386/i386/msi.c#3 integrate
.. //depot/projects/mjexp/sys/i386/linux/linux.h#6 integrate
.. //depot/projects/mjexp/sys/i386/linux/linux_machdep.c#8 integrate
.. //depot/projects/mjexp/sys/i386/linux/linux_proto.h#7 integrate
.. //depot/projects/mjexp/sys/i386/linux/linux_syscall.h#6 integrate
.. //depot/projects/mjexp/sys/i386/linux/linux_sysent.c#6 integrate
.. //depot/projects/mjexp/sys/i386/linux/syscalls.master#6 integrate
.. //depot/projects/mjexp/sys/ia64/ia64/pmap.c#4 integrate
.. //depot/projects/mjexp/sys/isofs/cd9660/TODO#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/TODO.hibler#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_bmap.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_iconv.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_lookup.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_mount.h#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_node.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_node.h#3 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_rrip.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_rrip.h#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_util.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_vfsops.c#3 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/cd9660_vnops.c#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/iso.h#2 delete
.. //depot/projects/mjexp/sys/isofs/cd9660/iso_rrip.h#2 delete
.. //depot/projects/mjexp/sys/kern/Make.tags.inc#3 integrate
.. //depot/projects/mjexp/sys/kern/kern_descrip.c#5 integrate
.. //depot/projects/mjexp/sys/kern/kern_ktrace.c#6 integrate
.. //depot/projects/mjexp/sys/kern/subr_firmware.c#4 integrate
.. //depot/projects/mjexp/sys/kern/uipc_debug.c#1 branch
.. //depot/projects/mjexp/sys/kern/uipc_socket.c#8 integrate
.. //depot/projects/mjexp/sys/kern/uipc_usrreq.c#6 integrate
.. //depot/projects/mjexp/sys/kern/vfs_default.c#3 integrate
.. //depot/projects/mjexp/sys/kern/vfs_export.c#5 integrate
.. //depot/projects/mjexp/sys/kern/vfs_init.c#2 integrate
.. //depot/projects/mjexp/sys/kern/vfs_lookup.c#4 integrate
.. //depot/projects/mjexp/sys/kern/vfs_mount.c#6 integrate
.. //depot/projects/mjexp/sys/kern/vfs_syscalls.c#6 integrate
.. //depot/projects/mjexp/sys/kern/vfs_vnops.c#4 integrate
.. //depot/projects/mjexp/sys/kern/vnode_if.src#3 integrate
.. //depot/projects/mjexp/sys/modules/cd9660/Makefile#2 integrate
.. //depot/projects/mjexp/sys/modules/cd9660_iconv/Makefile#2 integrate
.. //depot/projects/mjexp/sys/netinet/in_proto.c#3 integrate
.. //depot/projects/mjexp/sys/netinet/ip_mroute.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_asconf.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_auth.c#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_auth.h#2 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_constants.h#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_crc32.c#3 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_indata.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_input.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_os.h#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_os_bsd.h#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_output.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_pcb.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_peeloff.c#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_structs.h#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_timer.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_uio.h#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_usrreq.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctp_var.h#4 integrate
.. //depot/projects/mjexp/sys/netinet/sctputil.c#5 integrate
.. //depot/projects/mjexp/sys/netinet/sctputil.h#4 integrate
.. //depot/projects/mjexp/sys/netinet6/icmp6.c#4 integrate
.. //depot/projects/mjexp/sys/netinet6/sctp6_usrreq.c#5 integrate
.. //depot/projects/mjexp/sys/nfsclient/nfs_socket.c#4 integrate
.. //depot/projects/mjexp/sys/nfsserver/nfs_serv.c#4 integrate
.. //depot/projects/mjexp/sys/powerpc/powerpc/machdep.c#5 integrate
.. //depot/projects/mjexp/sys/security/mac_biba/mac_biba.c#5 integrate
.. //depot/projects/mjexp/sys/sys/firmware.h#2 integrate
.. //depot/projects/mjexp/sys/sys/mount.h#5 integrate
.. //depot/projects/mjexp/sys/sys/systm.h#6 integrate
.. //depot/projects/mjexp/sys/sys/vnode.h#4 integrate
.. //depot/projects/mjexp/sys/tools/fw_stub.awk#2 integrate
.. //depot/projects/mjexp/sys/ufs/ffs/ffs_vfsops.c#5 integrate
.. //depot/projects/mjexp/sys/ufs/ffs/ffs_vnops.c#4 integrate
.. //depot/projects/mjexp/sys/ufs/ufs/ufs_quota.c#5 integrate
.. //depot/projects/mjexp/sys/vm/uma.h#4 integrate
.. //depot/projects/mjexp/sys/vm/uma_core.c#6 integrate
.. //depot/projects/mjexp/sys/vm/vm_page.c#6 integrate
.. //depot/projects/mjexp/sys/vm/vm_zeroidle.c#6 integrate
.. //depot/projects/mjexp/usr.bin/gzip/Makefile#2 integrate
.. //depot/projects/mjexp/usr.bin/gzip/zgrep#2 delete
.. //depot/projects/mjexp/usr.bin/gzip/zgrep.1#2 delete
.. //depot/projects/mjexp/usr.bin/ktrace/ktrace.c#2 integrate
.. //depot/projects/mjexp/usr.bin/netstat/route.c#3 integrate
.. //depot/projects/mjexp/usr.bin/quota/quota.1#3 integrate
.. //depot/projects/mjexp/usr.bin/quota/quota.c#4 integrate
.. //depot/projects/mjexp/usr.bin/tar/write.c#5 integrate
.. //depot/projects/mjexp/usr.sbin/pstat/pstat.c#2 integrate
.. //depot/projects/mjexp/usr.sbin/rpc.ypupdated/update.c#2 integrate

Differences ...

==== //depot/projects/mjexp/ObsoleteFiles.inc#8 (text+ko) ====

@@ -1,5 +1,5 @@
 #
-# $FreeBSD: src/ObsoleteFiles.inc,v 1.71 2007/02/01 08:45:26 rafan Exp $
+# $FreeBSD: src/ObsoleteFiles.inc,v 1.73 2007/02/12 21:41:17 brueffer Exp $
 #
 # This file lists old files (OLD_FILES), libraries (OLD_LIBS) and
 # directories (OLD_DIRS) which should get removed at an update. Recently
@@ -14,6 +14,8 @@
 # The file is partitioned: OLD_FILES first, then OLD_LIBS and OLD_DIRS last.
 #
 
+# 20070212: kame.4 removed
+OLD_FILES+=usr/share/man/man4/kame.4.gz
 # 20070201: remove libmytinfo link
 OLD_FILES+=usr/lib/libmytinfo.a
 OLD_FILES+=usr/lib/libmytinfo.so
@@ -33,7 +35,7 @@
 OLD_FILES+=usr/lib/libalias_pptp.so
 OLD_FILES+=usr/lib/libalias_skinny.so
 OLD_FILES+=usr/lib/libalias_smedia.so
-# 20061201: remove old *.so.4 liablias modules
+# 20061201: remove old *.so.4 libalias modules
 OLD_FILES+=lib/libalias_cuseeme.so.4
 OLD_FILES+=lib/libalias_dummy.so.4
 OLD_FILES+=lib/libalias_ftp.so.4

==== //depot/projects/mjexp/UPDATING#6 (text+ko) ====

@@ -21,6 +21,24 @@
        developers choose to disable these features on build machines
        to maximize performance.
 
+20070214:
+       The output of netstat -r has changed. Without -n, we now only
+       print a "network name" without the prefix length if the network
+       address and mask exactly match a Class A/B/C network, and an entry
+       exists in the nsswitch "networks" map.
+       With -n, we print the full unabbreviated CIDR network prefix in
+       the form "a.b.c.d/p". 0.0.0.0/0 is always printed as "default".
+       This change is in preparation for changes such as equal-cost
+       multipath, and to more generally assist operational deployment
+       of FreeBSD as a modern IPv4 router.
+
+20070210:
+       PIM has been turned on by default in the IPv4 multicast
+       routing code. The kernel option 'PIM' has now been removed.
+       PIM is now built by default if option 'MROUTING' is specified.
+       It may now be loaded into GENERIC kernels by loading the
+       ip_mroute.ko module.
+
 20070207:
        Support for IPIP tunnels (VIFF_TUNNEL) in IPv4 multicast routing
        has been removed. Its functionality may be achieved by explicitly
@@ -712,4 +730,4 @@
 Contact Warner Losh if you have any questions about your use of
 this document.
 
-$FreeBSD: src/UPDATING,v 1.471 2007/02/07 16:04:11 bms Exp $
+$FreeBSD: src/UPDATING,v 1.473 2007/02/14 14:17:01 bms Exp $

==== //depot/projects/mjexp/etc/devd.conf#2 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/etc/devd.conf,v 1.33 2006/06/01 00:41:07 thompsa Exp $
+# $FreeBSD: src/etc/devd.conf,v 1.34 2007/02/14 08:13:54 joerg Exp $
 #
 # Refer to devd.conf(5) and devd(8) man pages for the details on how to
 # run and configure devd.
@@ -160,6 +160,36 @@
 #      action "logger Unknown device: $pnpinfo $location $bus";
 };
 
+# Various logging of unknown devices.
+nomatch 10 {
+       match "bus" "uhub[0-9]+";
+       action "logger Unknown USB device: vendor $vendor product $product \
+               bus $bus";
+};
+
+# Some PC-CARDs don't offer numerical manufacturer/product IDs, just
+# show the CIS info there.
+nomatch 20 {
+       match "bus" "pccard[0-9]+";
+       match "manufacturer" "0xffffffff";
+       match "product" "0xffffffff";
+       action "logger Unknown PCCARD device: CISproduct $cisproduct \
+               CIS-vendor $cisvendor bus $bus";
+};
+
+nomatch 10 {
+       match "bus" "pccard[0-9]+";
+       action "logger Unknown PCCARD device: manufacturer $manufacturer \
+               product $product CISproduct $cisproduct CIS-vendor \
+               $cisvendor bus $bus";
+};
+
+nomatch 10 {
+       match "bus" "cardbus[0-9]+";
+       action "logger Unknown Cardbus device: device $device class $class \
+               vendor $vendor bus $bus";
+};
+
 # Switch power profiles when the AC line state changes.
 notify 10 {
        match "system"          "ACPI";

==== //depot/projects/mjexp/etc/rc.d/dhclient#3 (text+ko) ====

@@ -1,7 +1,7 @@
 #!/bin/sh
 #
 # $NetBSD: dhclient,v 1.8 2002/03/22 04:33:58 thorpej Exp $
-# $FreeBSD: src/etc/rc.d/dhclient,v 1.25 2006/10/02 18:50:58 brooks Exp $
+# $FreeBSD: src/etc/rc.d/dhclient,v 1.26 2007/02/15 06:51:31 yar Exp $
 #
 
 # PROVIDE: dhclient
@@ -19,9 +19,9 @@
 dhclient_start()
 {
        # prevent unnecessary restarts
-       # XXX: should use a pidfile
-       if [ -x /usr/bin/pgrep ]; then
-               pids=`/usr/bin/pgrep -f "dhclient: $ifn(\$| .*)"`
+       # XXX: dhclient had better create a pidfile
+       if [ -x /bin/pgrep ]; then
+               pids=`/bin/pgrep -f "dhclient: $ifn(\$| .*)"`
                if [ -n "$pids" ]; then
                        exit 0
                fi

==== //depot/projects/mjexp/etc/rc.d/hostname#2 (text+ko) ====

@@ -23,7 +23,7 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-# $FreeBSD: src/etc/rc.d/hostname,v 1.8 2004/10/07 13:55:25 mtm Exp $
+# $FreeBSD: src/etc/rc.d/hostname,v 1.11 2007/02/15 06:46:33 yar Exp $
 #
 
 # PROVIDE: hostname
@@ -31,6 +31,7 @@
 # BEFORE:  netif
 
 . /etc/rc.subr
+. /etc/network.subr
 
 name="hostname"
 start_cmd="hostname_start"
@@ -58,8 +59,21 @@
                fi
        fi
 
-       /bin/hostname ${hostname}
-       echo "Setting hostname: `hostname`."
+       # Have we got a hostname yet?
+       #
+       if [ -z "${hostname}" ]; then
+               # Null hostname is probably OK if DHCP is in use.
+               #
+               if [ -z "`list_net_interfaces dhcp`" ]; then
+                       warn "\$hostname is not set -- see ${rcvar_manpage}."
+               fi
+               return
+       fi
+
+       # All right, it is safe to invoke hostname(1) now.
+       #
+       echo "Setting hostname: ${hostname}."
+       /bin/hostname "${hostname}"
 }
 
 load_rc_config $name

==== //depot/projects/mjexp/gnu/usr.bin/binutils/Makefile.inc0#2 (text+ko) ====

@@ -1,4 +1,4 @@
-# $FreeBSD: src/gnu/usr.bin/binutils/Makefile.inc0,v 1.37 2004/07/08 17:05:30 
obrien Exp $
+# $FreeBSD: src/gnu/usr.bin/binutils/Makefile.inc0,v 1.38 2007/02/11 07:15:05 
marcel Exp $
 #
 # This is included explicitly at the top of each sub-Makefile.  We can't
 # use the normal "Makefile.inc" mechanism, because we need some of these
@@ -22,6 +22,12 @@
 RELSRC=        ${RELTOP}/../../../contrib/binutils
 SRCDIR=        ${.CURDIR}/${RELSRC}
 
+.if ${TARGET_ARCH} == "arm" || ${TARGET_ARCH} == "i386" || ${TARGET_ARCH} == 
"powerpc"
+CFLAGS+= -DBFD_DEFAULT_TARGET_SIZE=32
+.else
+CFLAGS+= -DBFD_DEFAULT_TARGET_SIZE=64
+.endif
+
 CFLAGS+= -I.
 .if exists(${.CURDIR}/${TARGET_ARCH})
 CFLAGS+= -I${.CURDIR}/${TARGET_ARCH}

==== //depot/projects/mjexp/gnu/usr.bin/binutils/libbfd/bfd.h#2 (text+ko) ====

@@ -1,4 +1,4 @@
-/* $FreeBSD: src/gnu/usr.bin/binutils/libbfd/bfd.h,v 1.3 2004/07/08 17:05:32 
obrien Exp $ */
+/* $FreeBSD: src/gnu/usr.bin/binutils/libbfd/bfd.h,v 1.4 2007/02/11 07:15:06 
marcel Exp $ */
 
 /* DO NOT EDIT!  -*- buffer-read-only: t -*-  This file is automatically 
    generated from "bfd-in.h", "init.c", "opncls.c", "libbfd.c", 
@@ -58,14 +58,10 @@
 
 
 #if defined(__i386__) || defined(__powerpc__) || defined(__arm__)
-/* The word size of the default bfd target.  */
-#define BFD_DEFAULT_TARGET_SIZE 32
 #define BFD_HOST_64BIT_LONG 0
 #define BFD_HOST_64_BIT long long
 #define BFD_HOST_U_64_BIT unsigned long long
 #elif defined(__alpha__) || defined(__sparc64__) || defined(__amd64__) || 
defined(__ia64__)
-/* The word size of the default bfd target.  */
-#define BFD_DEFAULT_TARGET_SIZE 64
 #define BFD_HOST_64BIT_LONG 1
 #define BFD_HOST_64_BIT long
 #define BFD_HOST_U_64_BIT unsigned long

==== //depot/projects/mjexp/include/Makefile#6 (text+ko) ====

@@ -1,5 +1,5 @@
 #      @(#)Makefile    8.2 (Berkeley) 1/4/94
-# $FreeBSD: src/include/Makefile,v 1.267 2007/01/25 22:38:04 peter Exp $
+# $FreeBSD: src/include/Makefile,v 1.268 2007/02/11 14:01:32 rodrigc Exp $
 #
 # Doing a "make install" builds /usr/include.
 
@@ -47,7 +47,6 @@
        fs/unionfs \
        geom/cache geom/concat geom/eli geom/gate geom/journal geom/label \
        geom/mirror geom/multipath geom/nop geom/raid3 geom/shsec geom/stripe \
-       isofs/cd9660 \
        netatm/ipatm netatm/sigpvc netatm/spans netatm/uni \
        netgraph/atm netgraph/netflow \
        security/audit \
@@ -163,6 +162,9 @@
        cd ${.CURDIR}/../sys/contrib/altq/altq; \
        ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
            ${DESTDIR}${INCLUDEDIR}/altq
+       cd ${.CURDIR}/../sys/fs/cd9660/; \
+       ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
+           ${DESTDIR}${INCLUDEDIR}/isofs/cd9660
 .if ${MK_IPFILTER} != "no"
        cd ${.CURDIR}/../sys/contrib/ipfilter/netinet; \
        ${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
@@ -287,3 +289,8 @@
        done
 .endif
 .endif
+       cd ${.CURDIR}/../sys/fs/cd9660; \
+       for h in *.h; do \
+               ln -fs ../../../../sys/fs/cd9660/$$h \
+                   ${DESTDIR}${INCLUDEDIR}/isofs/cd9660; \
+       done

==== //depot/projects/mjexp/lib/libc/gen/getcap.3#3 (text+ko) ====

@@ -29,7 +29,7 @@
 .\" SUCH DAMAGE.
 .\"
 .\"    @(#)getcap.3    8.4 (Berkeley) 5/13/94
-.\" $FreeBSD: src/lib/libc/gen/getcap.3,v 1.29 2007/01/09 00:27:53 imp Exp $
+.\" $FreeBSD: src/lib/libc/gen/getcap.3,v 1.30 2007/02/11 18:14:49 maxim Exp $
 .\"
 .Dd March 22, 2002
 .Dt GETCAP 3
@@ -527,7 +527,7 @@
 The
 .Fn cgetent ,
 and
-.Fn cgetseq
+.Fn cgetset
 functions may fail and set
 .Va errno
 for any of the errors specified for the library functions:

==== //depot/projects/mjexp/lib/libc/sys/kse.2#3 (text+ko) ====

@@ -33,9 +33,9 @@
 .\" THE USE OF THIS SOFTWARE, EVEN IF PACKET DESIGN IS ADVISED OF
 .\" THE POSSIBILITY OF SUCH DAMAGE.
 .\"
-.\" $FreeBSD: src/lib/libc/sys/kse.2,v 1.19 2006/12/12 08:13:02 julian Exp $
+.\" $FreeBSD: src/lib/libc/sys/kse.2,v 1.22 2007/02/14 07:38:39 brueffer Exp $
 .\"
-.Dd July 12, 2004
+.Dd February 13, 2007
 .Dt KSE 2
 .Os
 .Sh NAME
@@ -47,7 +47,7 @@
 .In sys/types.h
 .In sys/kse.h
 .Ft int
-.Fn kse_create "struct kse_mailbox *mbx" "int newgroup"
+.Fn kse_create "struct kse_mailbox *mbx" "int sys-scope"
 .Ft int
 .Fn kse_exit void
 .Ft int
@@ -103,9 +103,6 @@
 .It
 All operations that block in the kernel become asynchronous, allowing
 the user process to schedule another thread when any thread blocks.
-.It
-Multiple thread schedulers within the same process are possible, and they
-may operate independently of each other.
 .El
 .\"
 .Ss Definitions
@@ -124,6 +121,8 @@
 The KSE is said to be
 .Sy assigned
 to the thread.
+KSEs (a user abstraction) are implemented on top
+of kernel threads using an 'upcall' entity.
 .Pp
 The KSE becomes
 .Sy unassigned ,
@@ -160,22 +159,13 @@
 KSEs always complete as much work as possible in the kernel before
 becoming unassigned.
 .Pp
-A
-.Sy "KSE group"
-is a collection of KSEs that are scheduled uniformly and which share
-access to the same pool of threads, which are associated with the KSE group.
-A KSE group is the smallest entity to which a kernel scheduling
-priority may be assigned.
-For the purposes of process scheduling and accounting, each
-KSE group
-counts similarly to a traditional unthreaded process.
-Individual KSEs within a KSE group are effectively indistinguishable,
-and any KSE in a KSE group may be assigned by the kernel to any runnable
-(in the kernel) thread associated with that KSE group.
+Individual KSEs within a process are effectively indistinguishable,
+and any KSE in a process may be assigned by the kernel to any runnable
+(in the kernel) thread associated with that process.
 In practice, the kernel attempts to preserve the affinity between threads
 and actual CPUs to optimize cache behavior, but this is invisible to the
 user process.
-(Affinity is not yet implemented.)
+(Affinity is not yet fully implemented.)
 .Pp
 Each KSE has a unique
 .Sy "KSE mailbox"
@@ -199,17 +189,17 @@
 This pointer is saved when the thread blocks in the kernel.
 .Pp
 Whenever a thread blocked in the kernel is ready to return to user space,
-it is added to the KSE group's list of
+it is added to the process's list of
 .Sy completed
 threads.
 This list is presented to the user code at the next upcall as a linked list
 of thread mailboxes.
 .Pp
-There is a kernel-imposed limit on the number of threads in a KSE group
+There is a kernel-imposed limit on the number of threads in a process
 that may be simultaneously blocked in the kernel (this number is not
 currently visible to the user).
 When this limit is reached, upcalls are blocked and no work is performed
-for the KSE group until one of the threads completes (or a signal is
+for the process until one of the threads completes (or a signal is
 received).
 .\"
 .Ss Managing KSEs
@@ -223,27 +213,32 @@
 The KSE will be associated with the mailbox pointed to by
 .Fa mbx .
 If
-.Fa newgroup
-is non-zero, a new KSE group is also created containing the KSE.
-Otherwise, the new KSE is added to the current KSE group.
-Newly created KSEs are initially unassigned; therefore,
-they will upcall immediately.
+.Fa sys_scope
+is non-zero, then the new thread will be counted as a system scope
+thread. Other things must be done as well to make a system scope thread
+so this is not sufficient (yet).
+System scope variables are not covered
+in detail in this manual page yet, but briefly, they never perform
+upcalls and do not return to the user thread scheduler.
+Once launched they run autonomously.
+The pthreads library knows how to make system
+scope threads and users are encouraged to use the library interface.
 .Pp
-Each process initially has a single KSE in a single KSE group executing
-a single user thread.
+Each process initially has a single KSE executing a single user thread.
 Since the KSE does not have an associated mailbox, it must remain assigned
 to the thread and does not perform any upcalls.
+(It is by definition a system scope thread).
 The result is the traditional, unthreaded mode of operation.
 Therefore, as a special case, the first call to
 .Fn kse_create
 by this initial thread with
-.Fa newgroup
+.Fa sys_scope
 equal to zero does not create a new KSE; instead, it simply associates the
 current KSE with the supplied KSE mailbox, and no immediate upcall results.
 However, an upcall will be triggered the next time the thread blocks and
 the required conditions are met.
 .Pp
-The kernel does not allow more KSEs to exist in a KSE group than the
+The kernel does not allow more KSEs to exist in a process than the
 number of physical CPUs in the system (this number is available as the
 .Xr sysctl 3
 variable
@@ -261,8 +256,8 @@
 .Fn kse_exit
 system call
 causes the KSE assigned to the currently running thread to be destroyed.
-If this KSE is the last one in the KSE group, there must be no remaining
-threads associated with the KSE group blocked in the kernel.
+If this KSE is the last one in the process, there must be no remaining
+threads associated with that process blocked in the kernel.
 This system call does not return unless there is an error.
 Calling
 .Fn kse_exit
@@ -309,7 +304,7 @@
 may be
 .Dv NULL
 to specify
-.Dq "any KSE in the current KSE group" .
+.Dq "any KSE in the current process" .
 .Pp
 The
 .Fn kse_thr_interrupt
@@ -460,7 +455,7 @@
 in the kernel since the last upcall.
 The user thread scheduler should put these threads back into its
 own runnable queue.
-Each thread in a KSE group that completes a kernel operation
+Each thread in a process that completes a kernel operation
 (synchronous or asynchronous) that results in an upcall is guaranteed to be
 linked into exactly one KSE's
 .Va km_completed
@@ -571,24 +566,8 @@
 will fail if:
 .Bl -tag -width Er
 .It Bq Er ENXIO
-There are already as many KSEs in the KSE group as hardware processors.
+There are already as many KSEs in the process as hardware processors.
 .It Bq Er EAGAIN
-The system-imposed limit on the total number of KSE groups under
-execution would be exceeded.
-The limit is given by the
-.Xr sysctl 3
-MIB variable
-.Dv KERN_MAXPROC .
-(The limit is actually ten less than this
-except for the super user.)
-.It Bq Er EAGAIN
-The user is not the super user, and the system-imposed limit on the total
-number of KSE groups under execution by a single user would be exceeded.
-The limit is given by the
-.Xr sysctl 3
-MIB variable
-.Dv KERN_MAXPROCPERUID .
-.It Bq Er EAGAIN
 The user is not the super user, and the soft resource limit corresponding
 to the
 .Fa resource
@@ -609,8 +588,8 @@
 will fail if:
 .Bl -tag -width Er
 .It Bq Er EDEADLK
-The current KSE is the last in its KSE group and there are still one or more
-threads associated with the KSE group blocked in the kernel.
+The current KSE is the last in its process and there are still one or more
+threads associated with the process blocked in the kernel.
 .It Bq Er ESRCH
 The current KSE has no associated mailbox, i.e., the process is operating
 in traditional, unthreaded mode (in this case use

==== //depot/projects/mjexp/lib/libypclnt/Makefile#2 (text+ko) ====

@@ -1,7 +1,8 @@
-# $FreeBSD: src/lib/libypclnt/Makefile,v 1.13 2005/07/22 17:19:04 kensmith Exp 
$
+# $FreeBSD: src/lib/libypclnt/Makefile,v 1.14 2007/02/15 02:43:14 trhodes Exp $
 
 LIB=   ypclnt
 SHLIB_MAJOR= 2
+MAN=   ypclnt.3
 SRCS=  ypclnt_connect.c \
        ypclnt_error.c \
        ypclnt_free.c \

==== //depot/projects/mjexp/release/doc/en_US.ISO8859-1/relnotes/article.sgml#5 
(text+ko) ====

@@ -30,7 +30,7 @@
 
   <corpauthor>The &os; Project</corpauthor>
 
-  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/article.sgml,v 
1.997 2007/01/11 19:44:45 bmah Exp $</pubdate>
+  <pubdate>$FreeBSD: src/release/doc/en_US.ISO8859-1/relnotes/article.sgml,v 
1.998 2007/02/10 19:55:18 bmah Exp $</pubdate>
 
   <copyright>
     <year>2000</year>
@@ -271,6 +271,11 @@
       fixed.  More information is available in
       <ulink 
url="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:01.jail.asc";>FreeBSD-SA-07:01.jail</ulink>.
 &merged;</para>
 
+    <para>Two remote denials of service in BIND (one involving DNSSEC and
+      one involving recursive DNS queries) have been fixed.  For more
+      information, see security advisory
+      <ulink 
url="http://security.FreeBSD.org/advisories/FreeBSD-SA-07:02.bind.asc";>FreeBSD-SA-07:02.bind</ulink>.
 &merged;</para>
+
   </sect2>
 
   <sect2 id="kernel">
@@ -977,6 +982,14 @@
        supporting TSO currently include &man.em.4; and
        &man.mxge.4;.</para>
 
+      <para>&os; now supports auto-sizing of TCP socket buffers.  This
+       allows the socket buffer sizes to adapt dynamically to network
+       conditions, rather than being set statically.  The behavior of
+       this feature can be controlled using
+       the <varname>net.inet.tcp.sendbuf_*</varname>
+       and <varname>net.inet.tcp.recvbuf_*</varname> sysctl
+       variables.</para>
+
       <para>Support for &man.kqueue.2; operations has been added to
        the &man.tun.4; driver. &merged;</para>
 
@@ -1733,7 +1746,7 @@
       has been updated to 20051021.</para>
 
     <para><application>BIND</application> has been updated from 9.3.1
-      to 9.3.3. &merged;</para>
+      to 9.3.4. &merged;</para>
 
     <para><application>BSNMPD</application> has been updated from
       1.11 to 1.12.</para>
@@ -1745,6 +1758,9 @@
     <para><application>FILE</application> has been updated from 4.12
       to 4.17.</para>
 
+    <para>The GNU version of <application>gzip</application> has been
+      replaced with a version of gzip imported from NetBSD.</para>
+
     <para><application>netcat</application> has been updated from the
       version in a 4 February 2005 OpenBSD snapshot to the version
       included in OpenBSD 3.9. &merged;</para>
@@ -1753,7 +1769,7 @@
       to 3.4.6. &merged;</para>
 
     <para><application>GNU Readline library</application> has been
-      updated from 5.0 to 5.1.</para>
+      updated from 5.0 to 5.2 patch 1.</para>
 
     <para><application>GNU Troff</application>
       has been updated from version 1.19 to version 1.19.2.
@@ -1778,6 +1794,9 @@
     <para><application>OpenSSL</application> has been updated from
       0.9.7e to 0.9.8d.</para>
 
+    <para><application>ncurses</application> has been updated from
+      5.2-20010512 to 5.6-20061217.</para>
+
     <para><application>hostapd</application>
       has been updated from version 0.3.9 to version 0.4.8.
       &merged;</para>

==== //depot/projects/mjexp/sbin/ffsinfo/ffsinfo.c#2 (text+ko) ====

@@ -48,7 +48,7 @@
 
 #ifndef lint
 static const char rcsid[] =
-  "$FreeBSD: src/sbin/ffsinfo/ffsinfo.c,v 1.10 2005/03/31 04:05:17 rwatson Exp 
$";
+  "$FreeBSD: src/sbin/ffsinfo/ffsinfo.c,v 1.13 2007/02/14 23:22:33 brian Exp 
$";
 #endif /* not lint */
 
 /* ********************************************************** INCLUDES ***** */
@@ -138,43 +138,39 @@
 
        DBG_ENTER;
 
-       cfg_lv=0xff;
-       cfg_in=-2;
-       cfg_cg=-2;
-       out_file=NULL;
+       cfg_lv = 0xff;
+       cfg_in = -2;
+       cfg_cg = -2;
+       out_file = "-";
 
-       while ((ch=getopt(argc, argv, "g:i:l:o:")) != -1) {
-               switch(ch) {
+       while ((ch = getopt(argc, argv, "g:i:l:o:")) != -1) {
+               switch (ch) {
                case 'g':
-                       cfg_cg=strtol(optarg, NULL, 0);
-                       if(errno == EINVAL||errno == ERANGE)
+                       cfg_cg = strtol(optarg, NULL, 0);
+                       if (errno == EINVAL || errno == ERANGE)
                                err(1, "%s", optarg);
-                       if(cfg_cg < -1) {
+                       if (cfg_cg < -1)
                                usage();
-                       }
                        break;
                case 'i':
-                       cfg_in=strtol(optarg, NULL, 0);
-                       if(errno == EINVAL||errno == ERANGE)
+                       cfg_in = strtol(optarg, NULL, 0);
+                       if (errno == EINVAL || errno == ERANGE)
                                err(1, "%s", optarg);
-                       if(cfg_in < 0) {
+                       if (cfg_in < 0)
                                usage();
-                       }
                        break; 
                case 'l':
-                       cfg_lv=strtol(optarg, NULL, 0);
-                       if(errno == EINVAL||errno == ERANGE)
+                       cfg_lv = strtol(optarg, NULL, 0);
+                       if (errno == EINVAL||errno == ERANGE)
                                err(1, "%s", optarg);
-                       if(cfg_lv < 0x1||cfg_lv > 0x3ff) {
+                       if (cfg_lv < 0x1 || cfg_lv > 0x3ff)
                                usage();
-                       }
                        break;
                case 'o':
                        free(out_file);
-                       out_file=strdup(optarg);
-                       if(out_file == NULL) {
+                       out_file = strdup(optarg);
+                       if (out_file == NULL)
                                errx(1, "strdup failed");
-                       }
                        break;
                case '?':
                        /* FALLTHROUGH */
@@ -185,19 +181,16 @@
        argc -= optind;
        argv += optind;
 
-       if(argc != 1) {
+       if (argc != 1)
                usage();
-       }
-       device=*argv;
-       if (out_file == NULL)
-               errx(1, "out_file not specified");
-       
+       device = *argv;
+
        /*
         * Now we try to guess the (raw)device name.
         */
-       if (0 == strrchr(device, '/') && (stat(device, &st) == -1)) {
-               /*
-                * No path prefix was given, so try in that order:
+       if (0 == strrchr(device, '/') && stat(device, &st) == -1) {
+               /*-
+                * No path prefix was given, so try in this order:
                 *     /dev/r%s
                 *     /dev/%s
                 *     /dev/vinum/r%s
@@ -206,24 +199,20 @@
                 * FreeBSD now doesn't distinguish between raw and  block
                 * devices any longer, but it should still work this way.
                 */
-               len=strlen(device)+strlen(_PATH_DEV)+2+strlen("vinum/");
-               special=(char *)malloc(len);
-               if(special == NULL) {
+               len = strlen(device) + strlen(_PATH_DEV) + 2 + strlen("vinum/");
+               special = (char *)malloc(len);
+               if (special == NULL)
                        errx(1, "malloc failed");
-               }
                snprintf(special, len, "%sr%s", _PATH_DEV, device);
                if (stat(special, &st) == -1) {
                        snprintf(special, len, "%s%s", _PATH_DEV, device);
                        if (stat(special, &st) == -1) {
                                snprintf(special, len, "%svinum/r%s",
                                    _PATH_DEV, device);
-                               if (stat(special, &st) == -1) {
-                                       /*
-                                        * For now this is the 'last resort'.
-                                        */
+                               if (stat(special, &st) == -1)
+                                       /* For now this is the 'last resort' */
                                        snprintf(special, len, "%svinum/%s",
                                            _PATH_DEV, device);
-                               }
                        }
                }
                device = special;
@@ -232,55 +221,44 @@
        if (ufs_disk_fillout(&disk, device) == -1)
                err(1, "ufs_disk_fillout(%s) failed: %s", device, disk.d_error);
 
-       DBG_OPEN(out_file); /* already here we need a superblock */
+       DBG_OPEN(out_file);     /* already here we need a superblock */
 
-       if(cfg_lv & 0x001) {
-               DBG_DUMP_FS(&sblock,
-                   "primary sblock");
-       }
+       if (cfg_lv & 0x001)
+               DBG_DUMP_FS(&sblock, "primary sblock");
 
-       /*
-        * Determine here what cylinder groups to dump.
-        */
-       if(cfg_cg==-2) {
-               cg_start=0;
-               cg_stop=sblock.fs_ncg;
-       } else if (cfg_cg==-1) {
-               cg_start=sblock.fs_ncg-1;
-               cg_stop=sblock.fs_ncg;
-       } else if (cfg_cg<sblock.fs_ncg) {
-               cg_start=cfg_cg;
-               cg_stop=cfg_cg+1;
+       /* Determine here what cylinder groups to dump */
+       if (cfg_cg==-2) {
+               cg_start = 0;
+               cg_stop = sblock.fs_ncg;
+       } else if (cfg_cg == -1) {
+               cg_start = sblock.fs_ncg - 1;
+               cg_stop = sblock.fs_ncg;
+       } else if (cfg_cg < sblock.fs_ncg) {
+               cg_start = cfg_cg;
+               cg_stop = cfg_cg + 1;
        } else {
-               cg_start=sblock.fs_ncg;
-               cg_stop=sblock.fs_ncg;
+               cg_start = sblock.fs_ncg;
+               cg_stop = sblock.fs_ncg;
        }
 
        if (cfg_lv & 0x004) {
                fscs = (struct csum *)calloc((size_t)1,
                    (size_t)sblock.fs_cssize);
-               if(fscs == NULL) {
+               if (fscs == NULL)
                        errx(1, "calloc failed");
-               }
 
-               /*
-                * Get the cylinder summary into the memory ...
-                */
+               /* get the cylinder summary into the memory ... */
                for (i = 0; i < sblock.fs_cssize; i += sblock.fs_bsize) {
-                       if (bread(&disk, 
-                               fsbtodb(&sblock, sblock.fs_csaddr + 
numfrags(&sblock, i)), 
-                               (void *)(((char *)fscs)+i), 
-                               (size_t)(sblock.fs_cssize-i < sblock.fs_bsize 
-                                       ? sblock.fs_cssize - i 
-                                       : sblock.fs_bsize)) == -1) {
+                       if (bread(&disk, fsbtodb(&sblock,
+                           sblock.fs_csaddr + numfrags(&sblock, i)), 
+                           (void *)(((char *)fscs)+i), 
+                           (size_t)(sblock.fs_cssize-i < sblock.fs_bsize ?
+                           sblock.fs_cssize - i : sblock.fs_bsize)) == -1)
                                err(1, "bread: %s", disk.d_error);
-                       }
                }
 
-               dbg_csp=fscs;
-               /*
-                * ... and dump it.
-                */
+               dbg_csp = fscs;
+               /* ... and dump it */
                for(dbg_csc=0; dbg_csc<sblock.fs_ncg; dbg_csc++) {
                        snprintf(dbg_line, sizeof(dbg_line),
                            "%d. csum in fscs", dbg_csc);
@@ -290,80 +268,65 @@
                }
        }
 
-       /*
-        * For each requested cylinder group ...
-        */
-       for(cylno=cg_start; cylno<cg_stop; cylno++) {
-               snprintf(dbg_line, sizeof(dbg_line), "cgr %d", cylno);
-               if(cfg_lv & 0x002) {
+       if (cfg_lv & 0xf8) {
+               /* for each requested cylinder group ... */
+               for (cylno = cg_start; cylno < cg_stop; cylno++) {
+                       snprintf(dbg_line, sizeof(dbg_line), "cgr %d", cylno);
+                       if (cfg_lv & 0x002) {
+                               /* dump the superblock copies */
+                               if (bread(&disk, fsbtodb(&sblock,
+                                   cgsblock(&sblock, cylno)), 

>>> TRUNCATED FOR MAIL (1000 lines) <<<
_______________________________________________
[email protected] mailing list
http://lists.freebsd.org/mailman/listinfo/p4-projects
To unsubscribe, send any mail to "[email protected]"

<Prev in Thread] Current Thread [Next in Thread>
  • PERFORCE change 114596 for review, Matt Jacob <=